I get the following build error on my Linux box while trying to build
ruby-1.9.2-p290, how to fix? it look like a issues with RDoc

make[1]: Entering directory `/opt/ruby-1.9.2-p290'
gcc -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses
-Wpointer-arith -Wwrite-strings -Wno-missing-field-initializers
-Wno-long-long -L.  -rdynamic -Wl,-export-dynamic   main.o  -Wl,-R
-Wl,/usr/local/lib -L/usr/local/lib -lruby-static -lpthread -lrt -ldl
-lcrypt -lm   -o ruby
make[1]: Leaving directory `/opt/ruby-1.9.2-p290'
Generating RDoc documentation
./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb
./tool/runruby.rb --extout=.ext  -- "./bin/rdoc" --no-force-update
--all --ri --op ".ext/rdoc"  "."
/usr/local/lib/ruby/gems/1.9.1/gems/rdoc-3.8/lib/rdoc/rdoc.rb:79:
warning: already initialized constant GENERATORS
uh-oh! RDoc had a problem:
undefined method `coverage_report' for #<RDoc::Options:0x00000001966e68>

run with --debug for full backtrace
make: *** [rdoc] Error 1
root@six9:/opt/ruby-1.9.2-p290#

-- 
Kind Regards,
Rajinder Yadav | DevMentor.org | Do Good! ~ Share Freely

GNU/Linux: 2.6.35-22-generic
Kubuntu x86_64 10.10 | KDE 4.5.1
Ruby 1.9.2p0 | Rails 3.0.1